Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.ray2
Class Raytracer

    java.lang.Object
      de.grogra.imp.Renderer
          de.grogra.imp3d.ray2.Raytracer

All Implemented Interfaces:
  Options, Disposable, java.awt.image.ImageObserver, java.lang.Runnable

    public class Raytracer

extends Renderer
implements java.lang.Runnable, Options, java.awt.image.ImageObserver

Field Summary
`static EnumerationType` | `ANTIALIASING`
`static boolean` | `DEBUG`
`static EnumerationType` | `RAYPROCESSOR`

Fields inherited from class de.grogra.imp.Renderer
`height, observers, view, width`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Raytracer(Map params)`
`Raytracer(Workbench w, int width, int height)`
`Raytracer(Workbench w, ViewConfig3D v, int width, int height)`

Method Summary
`void` | `dispose()`
`java.lang.Object` | `get(java.lang.String key, java.lang.Object def)` Returns the option value for the option identified by `key`.
`java.lang.String` | `getName()`
`void` | `render()`
`static void` | `render(Item item, java.lang.Object info, Context context)`
`void` | `run()`
`void` | `setRandomSeed(int value)`

Methods inherited from class de.grogra.imp.Renderer
`addImageObserver, computeImage, imageUpdate, initialize, initializeImpl, waitForImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.image.ImageObserver
`imageUpdate`

Field Detail

### ANTIALIASING

    public static final EnumerationType ANTIALIASING

### DEBUG

    public static boolean DEBUG

### RAYPROCESSOR

    public static final EnumerationType RAYPROCESSOR

Constructor Detail

### Raytracer

    public Raytracer(Map params)

### Raytracer

    public Raytracer(Workbench w,
                     int width,
                     int height)

### Raytracer

    public Raytracer(Workbench w,
                     ViewConfig3D v,
                     int width,
                     int height)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### get

    public java.lang.Object get(java.lang.String key,
                                java.lang.Object def)

  Description copied from interface: `Options`
  Returns the option value for the option identified by `key`. If no special value for the option is defined, `defaultValue` is returned.

  Specified by:
    `get` in interface `Options`
  Parameters:
    `key` - identifier for option
    `def` - default value of option
  Returns:
    value of option named `key`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `Renderer`

### render

    public void render()

  Specified by:
    `render` in class `Renderer`

### render

    public static void render(Item item,
                              java.lang.Object info,
                              Context context)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### setRandomSeed

    public void setRandomSeed(int value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD